If you get this error when trying to build Fennec/Firefox for PC on a Ubuntu/Linux platform, then it can be fixed by installing the alsa library… – What might be nice to know is that the name of that library is “libasound2-dev” so:

~$ sudo apt-get install libasound2-dev

(Or you can use the Synaptic package manager to install the same package if you prefer a GUI tool)

If you get an error like:

configure: error: Couldn’t find curl/curl.h which is required for the crash reporter.

Then the library to install is called libcurl4-gnutls-dev (at least that was the library that fixed it for me, it might have been one of the other libraries that was draged in by this one that did the trick)

~$ sudo apt-get install libcurl4-gnutls-dev